# Class PropertiesCredentialPlugin

java.lang.Object
org.mariadb.jdbc.credential.system.PropertiesCredentialPlugin

All Implemented Interfaces:
  `Supplier<Credential>, CredentialPlugin`

public class PropertiesCredentialPlugin extends Object implements CredentialPlugin
Authentication using java system properties.

default implementation use system properties `mariadb.user` and `mariadb.pwd`

example : `jdbc:mariadb://host/db?credentialType=PROPERTY`

2 options `userKey` and `pwdKey` permits to indicate which system properties to use .

## Constructor Summary

Constructors
Constructor
Description
`PropertiesCredentialPlugin()`

## Method Summary

Modifier and Type
Method
Description
`Credential`
`get()`
`CredentialPlugin`
`initialize(Options options, String userName, HostAddress hostAddress)`
`String`
`name()`
`String`
`type()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CredentialPlugin

`defaultAuthenticationPluginType, mustUseSsl`

## Constructor Details

### PropertiesCredentialPlugin

public PropertiesCredentialPlugin()

## Method Details

### type

public String type()

Specified by:
  `type` in interface `CredentialPlugin`

### name

public String name()

Specified by:
  `name` in interface `CredentialPlugin`

### initialize

public CredentialPlugin initialize(Options options, String userName, HostAddress hostAddress)

Specified by:
  `initialize` in interface `CredentialPlugin`

### get

public Credential get()

Specified by:
  `get` in interface `Supplier<Credential>`